post
https://{customerSubdomain}.smenso.cloud/skyisland/api/integration/template/project/updatemasterdata/
This POST endpoint updates the master data of an existing project based on a project template. The update behavior is controlled by specific attributes provided in the XML request. These attributes define which elements of the template are applied to the target project.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request Body
The request body must be an XML document with root element Updatemasterdata.
<Updatemasterdata>
...
</Updatemasterdata>Selection flags (boolean)
Set flags to true to apply the corresponding master data from the template to the target project.
Flags that are false (or omitted) are not applied.
| Name | Typ | Description |
|---|---|---|
| TemplateId* | GUID | required The GUID of the project template (to be specified in the endpoint URL) |
| ProjectId* | GUID | required The GUID of the project to which the project template should be applied. |
| OverwriteValues | boolean | Toggle selection to determine whether flavor values should be overwritten if values exist in the project template. |
| StartDate | boolean | Start date of the project (project master data) |
| EndDate | boolean | End date of the project (project master data) |
| Flavors | boolean | Flavors (including groups) from the project master data. |
| FlavorGroupsLockStatus | boolean | The lock status of flavor groups from the project master data. |
| Labels | boolean | Labels from the project master data. |
| Manager | boolean | The Project Manager field from the project master data. |
| Budget | boolean | The Budget field from the project master data. |
| Location | boolean | The Location field from the project master data. |
| Description | boolean | The Description field from the project master data. |
| Goal | boolean | The Project Goal field from the project master data. |
| Benefit | boolean | The Project Benefit field from the project master data. |
| Icon | boolean | The project icon from the project master data. |
| Files | boolean | Attached files from the project master data. |
Examples
Minimal example (all flags false)
<Updatemasterdata>
<ProjectId></ProjectId> <!-- Required parameter -->
<OverwriteValues>false</OverwriteValues>
<StartDate>false</StartDate>
<EndDate>false</EndDate>
<Flavors>false</Flavors>
<FlavorGroupsLockStatus>false</FlavorGroupsLockStatus>
<Labels>false</Labels>
<Manager>false</Manager>
<Budget>false</Budget>
<Location>false</Location>
<Description>false</Description>
<Goal>false</Goal>
<Benefit>false</Benefit>
<Icon>false</Icon>
<Files>false</Files>
</Updatemasterdata>Apply selected fields (recommended pattern)
<Updatemasterdata>
<ProjectId>...</ProjectId>
<StartDate>true</StartDate>
<EndDate>true</EndDate>
<Description>true</Description>
<Flavors>true</Flavors>
<OverwriteValues>false</OverwriteValues>
</Updatemasterdata>Responses
Success
<Result>
<HasErrors>false</HasErrors>
<TemplateApplied>true</TemplateApplied>
</Result>Error example
<Result>
<HasErrors>true</HasErrors>
<Errors>
<ErrorDetail>A template with Id '...' doesn't exist</ErrorDetail>
</Errors>
</Result> 200OK
401Unauthorized
403Forbidden
